Bug 190230 - cman panic in cman_memb:a_node_just_died
cman panic in cman_memb:a_node_just_died
Status: CLOSED DUPLICATE of bug 164535
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: cman (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christine Caulfield
Cluster QE
Depends On:
  Show dependency treegraph
Reported: 2006-04-28 18:14 EDT by Corey Marthaler
Modified: 2009-04-16 16:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-02 03:51:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2006-04-28 18:14:22 EDT
Description of problem:
I was trying to bring up the cluster and hit this on taft-02.

CMAN: removing node taft-01 from the cluster : No response to mes
CMAN: removing node taft-04 from the cluster : No response to messages
----------- [cut here ] --------- [please bite here ] ---------
Kernel BUG at membership:3150
invalid operand: 0000 [1] SMP
Modules linked in: gnbd(U) lock_nolock(U) gfs(U) lock_harness(U) dlm(U) cman(U)d
Pid: 4214, comm: cman_memb Not tainted 2.6.9-34.ELsmp
RIP: 0010:[<ffffffffa022a129>] <ffffffffa022a129>{:cman:elect_master+58}
RSP: 0018:0000010214a9fe00  EFLAGS: 00010246
RAX: 0000000000000000 RBX: ffffffffa02442e0 RCX: 0000000000000080
RDX: 0000000000000080 RSI: 0000000000000080 RDI: 0000010214a9fe08
RBP: ffffffffa0244450 R08: 00000000ffffffff R09: 000001021e140538
R10: 0000000000000046 R11: 0000000000000046 R12: ffffffffffffffff
R13: 000001021b227a78 R14: ffffffffa02442e0 R15: 0000000000000003
FS:  0000002a95572b00(0000) GS:ffffffff804d7b00(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000003eefc2e728 CR3: 0000000000101000 CR4: 00000000000006e0
Process cman_memb (pid: 4214, threadinfo 0000010214a9e000, task 0000010214bbf7f)
Stack: ffffffffa022b36b 000001021b601200 0000000214a90712 000001021f4a6300
       ffffffffa022b69e ffffffffa0244340 0000010214bbf7f0 ffffffffa0244340
       ffffffffa022e150 0000000000000000
Call Trace:<ffffffffa022b36b>{:cman:a_node_just_died+390} <ffffffffa022b69e>{:c
       <ffffffffa022e150>{:cman:membership_kthread+2993} <ffffffff801333c8>{def
       <ffffffff801333c8>{default_wake_function+0} <ffffffff801333c8>{default_w
       <ffffffff8013212e>{schedule_tail+55} <ffffffff80110e17>{child_rip+8}
       <ffffffffa022d59f>{:cman:membership_kthread+0} <ffffffff80110e0f>{child_

Code: 0f 0b e3 5e 23 a0 ff ff ff ff 4e 0c 31 c0 c3 56 48 b9 01 00
RIP <ffffffffa022a129>{:cman:elect_master+58} RSP <0000010214a9fe00>
 <0>Kernel panic - not syncing: Oops

Version-Release number of selected component (if applicable):
Linux 2.6.9-34.ELsmp #1 SMP 
Comment 1 Christine Caulfield 2006-05-02 03:51:39 EDT
This is the same as bug #164535, Actually, that bug started out as something
else but got changed halfway through its life (sigh)

Can you check that this is with or without the changes mentioned in that
bugzilla please.

*** This bug has been marked as a duplicate of 164535 ***

Note You need to log in before you can comment on or make changes to this bug.